jdhf99

Well-Known Member
Mar 16, 2004
54
0
156
Hi,

Is it possible to downgrade back to a cPanel 11.24 version? I have some troubleshooting to do with things that have changed between .24 and .25 and I think it would be easier if I could have .24 running somewhere to do comparisons.

Thanks!
 

WiredTree Joe

Well-Known Member
Dec 13, 2006
68
1
158
Chicago, IL
Hi,

Is it possible to downgrade back to a cPanel 11.24 version? I have some troubleshooting to do with things that have changed between .24 and .25 and I think it would be easier if I could have .24 running somewhere to do comparisons.
cPanel 11.24 was pushed out of stable (Downloads - cPanel Inc.) so rolling back is most likely not possible. A cPanel rep might have a different story.
 

Spiral

BANNED
Jun 24, 2005
2,018
8
193
Rolling back? --- not too likely ---

Well, not unless you happen to have a copy of the old version and a fresh server to put it on and can disable the update routine

You mentioned some "troubleshooting" issues. Perhaps it would be better to concentrate on those items and if you let us know a little bit about what is going on, we might be able to help you around here.
 

jdhf99

Well-Known Member
Mar 16, 2004
54
0
156
There are some scripts we were using every once in a while that no longer work in 11.25, I'm guessing from the new security features. I tried disabling \ changing all the ones I have seen but without luck. I'd like to have a 11.24 to step through the code to see what exactly the difference in responses are between the two versions.

Anyone from cPanel available to comment if there is a 11.24 out there somewhere or if there is something I can edit to downgrade?

Thanks.
 

cPanelDon

cPanel Quality Assurance Analyst
Staff member
Nov 5, 2008
2,545
12
268
Houston, Texas, U.S.A.
cPanel Access Level
DataCenter Provider
Twitter
Is it possible to downgrade back to a cPanel 11.24 version? I have some troubleshooting to do with things that have changed between .24 and .25 and I think it would be easier if I could have .24 running somewhere to do comparisons.
At the present time it is only possible to downgrade when the desired version is still available in a published build tree, such as STABLE, RELEASE, CURRENT, and EDGE; when the desired version is no longer in a build tree, it is not possible to perform a downgrade to that version.

The following resource can be referenced to obtain the latest cPanel version and build number of each build tree: Latest cPanel/WHM Builds

There are some scripts we were using every once in a while that no longer work in 11.25, I'm guessing from the new security features. I tried disabling \ changing all the ones I have seen but without luck. I'd like to have a 11.24 to step through the code to see what exactly the difference in responses are between the two versions.

Anyone from cPanel available to comment if there is a 11.24 out there somewhere or if there is something I can edit to downgrade?
What is the specific feature or functionality that is needed that is no longer working as expected in the latest builds versus how it was experienced in the older version?

Are the custom scripts using a published API, and are the scripts dependent upon older components or files that are not found in the latest version?

What is the symptom information or other indication that the issue may be related to security features?

If you could let us know more information about what specific actions the scripts are performing and how they are interacting with cPanel we might be able to point you in the right direction or suggest a path forward.